Bug 1118381 - Staypuft should default interfaces to BOOTPROTO=dhcp and ONBOOT=yes
Summary: Staypuft should default interfaces to BOOTPROTO=dhcp and ONBOOT=yes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Installer
Assignee: Dan Radez
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 14:48 UTC by Lars Kellogg-Stedman
Modified: 2016-04-26 18:55 UTC (History)
8 users (show)

Fixed In Version: rhel-osp-installer-0.1.4-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:05:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
Puppet yaml for failing node (21.15 KB, application/x-yaml)
2014-07-10 14:48 UTC, Lars Kellogg-Stedman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Lars Kellogg-Stedman 2014-07-10 14:48:40 UTC
Created attachment 917123 [details]
Puppet yaml for  failing node

I'm trying to deploy an HA configuration using staypuft, and Puppet on the controllers is failing with:

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Local ip for ovs agent must be set when tunneling is enabled at /etc/puppet/environments/production/modules/neutron/manifests/agents/ovs.pp:31 on node 525400fef618.localdomain

I've attached the puppet yaml (/var/lib/puppet/yaml/node/<hostname>.yaml) for one of the failing nodes to this bz.

Comment 1 Lars Kellogg-Stedman 2014-07-10 19:41:11 UTC
I'm still seeing this with:

ruby193-rubygem-staypuft-0.1.11-1.el6ost.noarch
openstack-puppet-modules-2014.1-18.1.el6ost.noarch

Comment 2 Hugh Brock 2014-07-11 14:11:48 UTC
OK, think I have an idea what this is, Scott is working on a fix.

Comment 3 Lars Kellogg-Stedman 2014-07-14 19:24:59 UTC
So, the basic problem here is that the installer does not configure interfaces other than the provisioning interface, event those explicitly selected for use as the OVS tunnel interface.

This means that when the installer goes to find the ipaddress_<ifname> fact for the OVS tunnel interface it doesn't exist (because the interface was not up), and the install fails with the error described above.

The simplest fix would be to have the installer default all interfaces to use DHCP and to come up on boot.

Someone could still override this behavior in the kickstart template, but hopefully in many situations this would not be necessary and the interfaces would get configured automatically.

Comment 4 Arthur Berezin 2014-07-16 11:32:31 UTC
This was discussed some time ago and we agreed that for phase 1 we are OK with defaulting all eth devices to use DHCP, and allow static configurations on Staypuft Phase 2.

Comment 5 Dan Radez 2014-07-22 13:46:25 UTC
https://github.com/theforeman/foreman-installer-staypuft/pull/49

Merged upstream

Comment 13 Mike Burns 2014-08-12 13:53:24 UTC
On almost every host I've ever looked at, OOB management cards do *not* show up in the OS.  The consequences of not having the nics activated is worse than if we get an ip address on the OOB card  (which it should have anyway, just not OS visible).  

If we want to detect OOB cards and not activate those, please file a separate bug.

Comment 14 Ofer Blaut 2014-08-13 04:52:43 UTC
Verified 

rhel-osp-installer-0.1.9-1.el6ost.noarch

Comment 15 Ofer Blaut 2014-08-13 04:54:43 UTC
new bug for OOB is filed - https://bugzilla.redhat.com/show_bug.cgi?id=1129521

Comment 16 errata-xmlrpc 2014-08-21 18:05:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.